Retrieves the costs associated to a set of items billed for a single instance. Admin callers receive the data unconditionally; non-admin user callers receive 403 if the instance is not in their accessible cloud resources.
Query parameters
-
A datetime for the beginning of the desired range.
-
A datetime for the end of the desired range.
Responses
-
Success. The costs associated to a set of items billed for a single instance.
-
The specified data range is invalid.
-
Current user does not have access to the requested organization, or (for non-admin callers) does not have access to the requested instance.
-
Organization not found.
-
Internal server error.
GET
/api/v2/billing/organizations/{organization_id}/costs/instances/{instance_id}/items
curl \
--request GET 'https://cloud.elastic.co/api/v2/billing/organizations/{organization_id}/costs/instances/{instance_id}/items?from=2021-04-21T00%3A00%3A00%2B00%3A00&to=2021-04-21T00%3A00%3A00%2B00%3A00' \
--header "Accept: string"